Closed Bug 953648 Opened 8 years ago Closed 8 years ago

Animation performed on log in/off the group is hidden

Categories

(Instantbird :: Contacts window, defect)

defect
Not set
trivial

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: romain, Assigned: romain)

Details

Attachments

(2 files)

*** Original post on bio 202 at 2009-07-27 20:55:00 UTC ***

As discussed at BUG 953643 (bio 196) #4

The animation is performed even if the group is closed on adding a new
buddy (buddy.xml:146), we must check that the buddy is not collapsed before
doing it.
The same exists when a buddy goes offline.
Attached patch WIPSplinter Review
*** Original post on bio 202 as attmnt 143 at 2009-07-27 21:13:00 UTC ***

This is a work in progress. It disables the sign-on animations for buddies in closed groups. I'm too lazy right now to do that for the sign-off animation too. By the way, that code would probably need some refactoring to be less messy.

Intentionally not taking assignment, I don't know if/when I'll work again on this.
Attached patch PatchSplinter Review
*** Original post on bio 202 as attmnt 203 at 2009-08-19 00:49:00 UTC ***

Same as the first patch, but added 2 lines to remove the buddy immediately when his group is collapsed.
This is not code refactoring, just a small fix, refactoring is better for 0.3
Attachment #8351947 - Flags: review?(florian)
Comment on attachment 8351947 [details] [diff] [review]
Patch

*** Original change on bio 202 attmnt 203 at 2009-08-21 16:33:36 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8351947 - Flags: review?(florian) → review+
*** Original post on bio 202 at 2009-08-21 21:17:12 UTC ***

https://hg.instantbird.org/instantbird/rev/880ec3286a01
Assignee: nobody → romain
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.2b1
You need to log in before you can comment on or make changes to this bug.